<form ction="" method="post">
	<div class="c-body">

		<div class="c-title"><?= __('pv2_section_working_times') ?></div>
		<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

		<div class="body working-times">
			<div class="inner long top collapse-item rStyle<?= $this->data['available_24_7'] ? ' collapsed"' : '' ?>">
				<input class="collapse-control" id="available-24-7" type="radio" name="available_24_7"
					   value="1"<?= $this->data['available_24_7'] ? ' checked="checked"' : '' ?> />
				<label for="available-24-7" class="option collapse-btn"><span><?= __('pv2_label_i_am_available_24_7') ?></span></label>

				<div id="n-e" class="chStyle">
					<input id="night_escort" type="checkbox" name="night_escort"
						   value="1"<?= $this->data['night_escort'] ? ' checked="checked"' : '' ?> />
					<label for="night_escort" class="option"><span><?= __('pv2_label_i_am_night_escort') ?></span></label>
				</div>

				<p class="tip info"><?= __('night_escort_help') ?></p>
			</div>
			<div class="clear"></div>

			<div class="inner long top collapse-item rStyle<?= ( count( $this->data['times'] ) ) ? ' collapsed"' : '' ?>">
				<input class="collapse-control" id="to-another" type="radio"
						<?= ( count( $this->data['times'] ) ) ? ' checked="checked"' : '' ?> />
				<label for="to-another" class="option collapse-btn"><span><?= __('pv2_label_working_schedule') ?></span></label>

				<div class="custom-times">
					<div class="wt-sel-all chStyle clearFloat">
						<input id="selectall" type="checkbox" value="" />
						<label for="selectall"><?= __('pv2_label_select_all') ?></label>

						<div class="btn-work-days-all"><?=__('apply_to_all_working_days')?></div>
					</div>

					<ul class="work-times chStyle"" id="times">
						<? for ($j = 1; $j <= 7; $j++): ?>
							<? $chk = false; foreach ( $this->data['times'] as $time ) { if ( $time['day_index'] == $j ) { $chk = $time; break; } } ?>
							<li class="work-times-disabled chStyle">
								<div class="main-control">
									<input id="day-<?= $j ?>" type="checkbox" name="day_index[<?= $j ?>]" value="1"<?= $chk ? ' checked="checked"' : '' ?> />
									<label for="day-<?= $j ?>">
										<?
										$day = $this->getWeekDay2($j);//date('l', mktime(null, null, null, null, $j - 1));
										$id = 'pv2_weekday_' . strtolower($day);
										?>
										<?= __($id) ?>
									</label>
								</div>

								<div class="bottom-controls <?= (!$chk) ? 'none' : '' ?>">
									<div class="wt-wrapper">
										<div class="wt-date-from">

											<span class="tf-sel"><?= __('pv2_label_from') ?></span>

											<select name="time_from[<?= $j ?>]" class="w6" disabled="disabled">
												<option value="">hrs</option>
												<? for ($i = 0; $i < 24; $i ++): ?>
													<option value="<?= $i ?>"<?= $chk && $chk['time_from'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
												<? endfor; ?>
											</select>

											<select name="time_from_m[<?= $j ?>]" class="w6" disabled="disabled">
												<option value="">min</option>
												<? for ($i = 0; $i < 60; $i ++): ?>
													<option value="<?= $i ?>"<?= $chk && $chk['time_from_m'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
												<? endfor; ?>
											</select>
										</div>

										<div class="wt-date-to">

											<span class="tf-sel"><?= __('pv2_label_to') ?></span>

											<select name="time_to[<?= $j ?>]" class="w6" disabled="disabled">
												<option value="">hrs</option>
												<? for ($i = 0; $i < 24; $i ++): ?>
													<option value="<?= $i ?>"<?= $chk && $chk['time_to'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
												<? endfor; ?>
											</select>

											<select name="time_to_m[<?= $j ?>]" class="w6" disabled="disabled">
												<option value="">min</option>
												<? for ($i = 0; $i < 60; $i ++): ?>
													<option value="<?= $i ?>"<?= $chk && $chk['time_to_m'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
												<? endfor; ?>
											</select>

										</div>

										<div class="clear"></div>
									</div>


									<p class="night-controls">
										<input type="checkbox" name="night_escorts[]" id="night_escort_<?=$j ?>"
											   value="<?=$j ?>"  <?=!$this->data['night_escort'] && $chk && $time['night_escorts']==1 ? 'checked="checked" ' : '  '; ?> class="night_escort"
												<?= $this->data['night_escort'] || !$chk ? 'disabled="disabled"' : "" ?>   />
										<label for="night_escort_<?=$j ?>"><span>Night escort</span></label>
									</p>
								</div>
							</li>
						<? endfor ?>
					</ul>
				</div>
			</div>


		</div>
	</div>

	<div class="c-body">

		<div class="c-title"><?= $this->t('vacations') ?></div>

		<div id="vacation">
			<div>
				<div class="divline">
					<p id="vac_error" style="color:red; margin:0">
						<?= isset($this->errors['vacation']) ? $this->errors['vacation'] : ''?>
					</p>
				</div>

				<? $d_f = $m_f = $y_f = $d_t = $m_t = $y_t = 0;
					if( $this->data['vac_date_from'] && $this->data['vac_date_to'] ){
						list($y_f,$m_f,$d_f) = explode('-',$this->data['vac_date_from']);
						list($y_t,$m_t,$d_t) = explode('-',$this->data['vac_date_to']);
					}
				?>

				<div class="divline clearFloat">

					<span class="label"><?= $this->t('date_from') ?></span>

					<div class="fleft">
						<select name="vac_date_from_day" class="selectbox" style="width:50px" >
							<option value="0">----</option>
							<? for ( $i = 1; $i <= 31; $i++ ): ?>
							<option value="<?= $i ?>"<?= $d_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_from_month" class="selectbox" style="width:60px">
							<option value="0">----</option>
							<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i); $month = date('M', $timestamp); ?>
							<option value="<?= $i ?>"<?= $m_f == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_from_year" class="selectbox" style="width:70px">
							<option value="0">----</option>
							<? for ( $i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++ ): ?>
							<option value="<?= $i ?>"<?= $y_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
					</div>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>

				<div class="divline clearFloat">

					<span class="label"><?= $this->t('date_to') ?></span>

					<div class="fleft">
						<select name="vac_date_to_day" class="selectbox" style="width:50px">
							<option value="0">----</option>
							<? for ( $i = 1; $i <= 31; $i++ ): ?>
							<option value="<?= $i ?>"<?= $d_t == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_to_month" class="selectbox" style="width:60px">
							<option value="0">----</option>
							<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i); $month = date('M', $timestamp); ?>
							<option value="<?= $i ?>"<?= $m_t == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_to_year" class="selectbox" style="width:70px">
							<option value="0">----</option>
							<? for ( $i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++ ): ?>
							<option value="<?= $i ?>"<?= $y_t == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
					</div>
				</div>
				<div class="clear"></div>
			</div>

			<div id="curr_vacation" class="clearFloat"  <?= ( $this->data['vac_date_from'] && $this->data['vac_date_to'] && !isset($this->errors['vacation']) ) ? '' : 'style = "display:none"' ?> >
				<div class="current-item"><?= $this->profile->showname ?> is on vacation
					<p class="strong">from
						<span id="curr_date_from"><?= date("d M Y", strtotime($this->data['vac_date_from'])); ?></span> to
						<span id="curr_date_to"><?= date("d M Y", strtotime($this->data['vac_date_to'])) ?></span>
					</p>
				</div>

				<input class="clear-vacation" type="button" name="return-from-vacation" value="<?= $this->t('vacations_return') ?>" />
			</div>

			<div class="clear"></div>

		</div>
	</div>


    <?php function hasStatusBit($old_status, $status)
    {
        $result = true;
        $result = ($old_status & $status) && $result;
        return $result;
    }?>

    <?php $__np_profile = false; $__class = ''; ?>
    <?php if( hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_NO_PROFILE) && !$this->user->isAgency() ): ?>
        <?php $__np_profile = true; $__class = 'no-profile'; ?>
    <?php endif; ?>

	<?php if ( $this->user->isAgency() || $__np_profile ): ?>
		<div id="saveWrapper" class="<?=$__class?>">
			<input class="to-next" type="button" value="<?=__('mob_go_next')?>" />
			<input class="to-prev" type="button" value="<?=__('mob_go_back')?>" />
		</div>

		<script>
			$(document).ready(function(){

				<?php foreach( $this->errors as $field => $msgs ): ?>
					$('[name="<?=$field?>"]').addClass('field-error');
				<?php endforeach; ?>

				$('.to-next').on('click', function(){
					var _form = $(this).closest('form.form');
					_form.find('[name="then"]').val(':next');
					_form.submit();
				});

				$('.to-prev').on('click', function(){
					var _form = $(this).closest('form.form');
					_form.find('[name="then"]').val(':back');
					_form.submit();
				});
			});
		</script>
	<?php else: ?>
		<div id="saveWrapper">
			<input type="submit" value="<?=__('save_changes')?>" />
		</div>
	<?php endif; ?>
</form>

<?php
	$_errors = array();
	if( count( $this->errors ) ){
		$_errors = $this->errors;
	}
	$_errors = json_encode( $_errors );
?>

<script type="text/javascript">
	$(document).ready(function(){
		MCubix.Profile.Edit.WorkingTimes.init();
	});

	MCubix.Profile.Edit.WorkingTimes = {
		init: function(){
			this.returnVacation();
			this.available247();
			this.changeControls();
			this.changeControlsAll();
			this.workingAllDays();
			this.setErrors();
			this.collapseServices();
		},

		returnVacation: function(){
			$('input[name="return-from-vacation"]').on('click', function() {
				<?php
                    if ( $this->escort_id)
                        $escort_id = "?escort_id=" . $this->escort_id;
                    else
                        $escort_id = '';
                ?>

				$.ajax({
					method: "GET",
					url: '<?= $this->langJs(); ?>/private/ajax-return-from-vacation' + '<?= $escort_id ?>',
					success: function( resp ){
						$('select[name ^= vac_date]').val(0);
						$('#curr_vacation').animate({'opacity' : 0}, 400);
					}

				});
			});
		},

		available247: function(){
			$('.working-times input[type="radio"]').on('change', function () {
				console.log(555);
				var _el = $('#available-24-7');
				$(this).blur();
				var disable = ! _el.is(':checked') ? null : 'disabled';
				var enable = ! disable;
				$('#selectall').prop('disabled', disable);

				$('#times')[(disable ? 'add' : 'remove') + 'Class']('work-times-disabled').find('input, select').prop('disabled', disable);
				$('#night_escort').prop('disabled', enable);
				$('#n-e')[(enable ? 'add' : 'remove') + 'Class']('work-times-disabled').find('input, select').prop('disabled', enable);

				if ( ! disable ) {
					$('.work-times li input').trigger('change');
				}
			});
		},

		changeControls: function(){
			$('.work-times li .main-control input').on('change', function () {
				$(this).blur();
				var disable = $(this).is(':checked') ? null : 'disabled';

				var li = $(this).closest('li')[(disable ? 'add' : 'remove') + 'Class']('work-times-disabled');
				li.find('select').prop('disabled', disable);
				li.find('.bottom-controls').find('input.night_escort').prop('disabled', disable);

				if ( disable ) {
					li.find('.bottom-controls').addClass('none');

					if ( li.closest('.custom-times').find('.btn-work-days-all') ) {
						li.closest('.custom-times').find('.btn-work-days-all').addClass('none');
					}
				} else {
					li.find('.bottom-controls').removeClass('none');

					if ( li.closest('.custom-times').find('.btn-work-days-all') ) {
						li.closest('.custom-times').find('.btn-work-days-all').removeClass('none');
					}
				}
			});
		},

		changeControlsAll: function(){
			$('#selectall').on('change', function () {
				$(this).blur();
				var flag = $(this).is(':checked') ? true : false;

				$('.work-times li .main-control input').prop('checked', flag ? 'checked' : '').trigger('change');
			});
		},

		workingAllDays: function(){
			$('.btn-work-days-all').on('click', function () {
				var selects = $(this).closest('.custom-times').find('.wt-wrapper select'),
					highlighted = [];

				$('.work-times li input').each(function (_el) {
					var el = $(this);
					if ( el.is(':checked') ) {
						el.closest('li').find('.bottom-controls').find('select').each(function (i, _sel) {
							var sel = $(this);
							highlighted.push( sel.val( $(selects[i]).find(':selected').val() ).closest('li') );
						});
					}
				});

//				if( highlighted.length ){
//					$.each( highlighted, function(){
//						$(this).effect("highlight", { color: ( '#'+Math.floor(Math.random()*16777215).toString(16) ) });
//					});
//				}
			});

			$('#available-24-7').trigger('change');
		},

		setErrors: function(){

		},

		collapseServices: function(){
			var collapsing_wrapper = $('.collapse-item');
			var collapsing_pickers = collapsing_wrapper.find('.collapse-btn');

			collapsing_pickers.on('click', function(){
				var collapse_input = $(this).closest('.collapse-item').find('.collapse-control');

				if( !collapse_input.is(':checked') ){
					$('.collapse-control').not( collapse_input).prop('checked', false);
				}

				collapsing_wrapper.not( $(this).closest('.collapse-item') ).removeClass('collapsed');
				$(this).closest('.collapse-item').addClass('collapsed');

				/*$('.collapse-service').not( $(this).closest('.collapse-service') ).removeClass('collapsed');
				collapsing_pickers.not( $(this) ).removeClass('in');

				if( !$(this).hasClass('in') ) {
					$(this).addClass('in').closest('.collapse-service').addClass('collapsed');
				} else {
					$(this).removeClass('in').closest('.collapse-service').removeClass('collapsed');
				}*/
			});
		}
	};
</script>